/*
 * @Author: zhou lei
 * @Date: 2022-01-20 11:26:20
 * @LastEditTime: 2022-01-20 17:48:10
 * @LastEditors: zhou lei
 * @Description:
 * @FilePath: /wms_haiwai_app/src/utils/mixin.ts
 * 联系方式:910592680@qq.com 18669792120 科海达信息技术有限公司
 */
import Vue from 'vue';
import { Component } from 'vue-property-decorator';

@Component // 一定要用Component修饰
export default class MyMixins extends Vue {
  customToast(msg: string, type = 'toast', title = '') {
    if (type === 'toast') {
      uni.showToast({
        title: msg,
      });
    } else {
      uni.showModal({
        title: title,
        content: msg,
      });
    }
  }
}
